﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Cascading_ListBox_MVC_Core.Models;
using Microsoft.EntityFrameworkCore;

namespace Cascading_ListBox_MVC_Core
{
    public class DBCtx : DbContext
    {
        public DBCtx(DbContextOptions<DBCtx> options) : base(options)
        {
        }

        public DbSet<Country> Countries { get; set; }
        public DbSet<State> States { get; set; }
        public DbSet<City> Cities { get; set; }
    }
}
